summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-irc/irker/files/irkerd.initd
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-irc/irker/files/irkerd.initd')
-rw-r--r--net-irc/irker/files/irkerd.initd47
1 files changed, 47 insertions, 0 deletions
diff --git a/net-irc/irker/files/irkerd.initd b/net-irc/irker/files/irkerd.initd
new file mode 100644
index 000000000000..246fcf4823b9
--- /dev/null
+++ b/net-irc/irker/files/irkerd.initd
@@ -0,0 +1,47 @@
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+: ${pidfile:=/run/${RC_SVCNAME}.pid}
+
+: ${IRKERD_NICK:=}
+: ${IRKERD_PASSWORD:=}
+: ${IRKERD_LOGFILE:=/var/log/${RC_SVCNAME}.log}
+: ${IRKERD_LOGLEVEL:=0}
+: ${IRKERD_USER:=nobody}
+
+depend() {
+ use net
+}
+
+start () {
+ if [[ ${IRKERD_LOGLEVEL} ]] ; then
+ IRKERD_OPTS="${IRKERD_OPTS} -d ${IRKERD_LOGLEVEL}"
+
+ ewarn "IRKERD_LOGLEVEL is intended to be used for debugging purpose only"
+ ewarn "No logrotate can handle ${IRKERD_LOGFILE}"
+
+ checkpath -f \
+ -o "${IRKERD_USER}" \
+ "${IRKERD_LOGFILE}" \
+ || return 1
+ fi
+
+ if [[ -z "${IRKERD_USER}" ]] ; then
+ die "IRKERD_USER is mandatory"
+ fi
+
+ [[ -n "${IRKERD_LOGFILE}" ]] && IRKERD_OPTS="${IRKERD_OPTS} -l ${IRKERD_LOGFILE}"
+ [[ -n "${IRKERD_NICK}" ]] && IRKERD_OPTS="${IRKERD_OPTS} -n ${IRKERD_NICK}"
+ [[ -n "${IRKERD_PASSWORD}" ]] && IRKERD_OPTS="${IRKERD_OPTS} -p ${IRKERD_PASSWORD}"
+
+ ebegin "Starting ${RC_SVCNAME}"
+ start-stop-daemon --start \
+ --quiet --background \
+ --user "${IRKERD_USER}" \
+ --make-pidfile --pidfile "${pidfile}" \
+ --exec /usr/bin/irkerd \
+ -- ${IRKERD_OPTS} < /dev/null
+ eend $?
+}